<?php

class Andy_NewUserConversation_ControllerPublic_Register extends XFCP_Andy_NewUserConversation_ControllerPublic_Register
{
    public function actionRegister()
    {
		//########################################
		// Register.php runs only once after
		// User.php runs. If the forum uses moderation
		// we will insert into xf_new_user_conversation
		// a new row. This will let us know that
		// when the account becomes valid, we can
		// send the conversation.
		//########################################
				
        $parent = parent::actionRegister();	
		
		if (!isset($errors))
		{
			// get userId
			$userId = XenForo_Visitor::getUserId();
			
			// must have userId
			if ($userId > 0)
			{
				// get database
				$db = XenForo_Application::get('db');	
				
				// run query
				$data = $db->fetchRow("
					SELECT register_date, user_state
					FROM xf_user
					WHERE user_id = " . $userId . "
				");	
				
				// moderation enabled
				if ($data['user_state'] != 'valid')
				{
					// get registerDate
					$registerDate = $data['register_date'];
					
					// insert new row
					$db->query("
						INSERT INTO xf_new_user_conversation
							(user_id, register_date)
						VALUES
							('$userId', '$registerDate')
					");
					
					// define dateline
					$dateline = time() - 2592000;
					
					// delete row if older than 30 days
					$db->query("
						DELETE FROM xf_new_user_conversation
						WHERE register_date < " . $dateline . "
					");
				}
			}	
		}
		
		// return parent
		return $parent;
	}
}